Bug 1471005 - Error writing selection data: Error writing to file descriptor: Broken pipe
Error writing selection data: Error writing to file descriptor: Broken pipe
Status: NEW
Product: Fedora
Classification: Fedora
Component: gpaste (Show other bugs)
27
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 05:06 EDT by Lorenzo Dalrio
Modified: 2018-01-10 09:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lorenzo Dalrio 2017-07-14 05:06:37 EDT
Description of problem:
While using evolution clipboard stops working and the journal is flooded with this error

Error writing selection data: Error writing to file descriptor: Broken pipe


Version-Release number of selected component (if applicable):
evolution-3.24.3-1.fc26.x86_64


How reproducible:
Open Evolution, open a mail, select some text, copy it, paste it to gnome terminal.


Steps to Reproduce:
1. Open Evolution
2. Open a mail
3. Select some text and copy it.
4. Paste it to gnome-terminal


Actual results:
No text is pasted, the journal is flooded with the error

Error writing selection data: Error writing to file descriptor: Broken pipe


Expected results:
The text copied is pasted.


Additional info:
Comment 1 Milan Crha 2017-07-14 06:43:39 EDT
Thanks for a bug report. I tried to reproduce this, but no luck. I had opened GNOME Shell under Wayland and also GNOME Classic. Neither had this issue. I've been using middle-click and Ctrl+C and Ctrl+Shift+V to paste to the gnome-terminal.

The error message you provided suggests that the issue is somewhere deeper in the stack, might it be gtk+, or the window manager, or...

Could you try whether it's just an intermittent issue, like whether closing all evolution windows and running evolution from a terminal will still exhibit the issue? Eventually whether full restart of the machine would cure the issue, please?
Comment 2 Lorenzo Dalrio 2017-07-14 08:53:17 EDT
I forgot to mention that i have gpaste running all the time.

I have restarted my workstation and opened evolution from a terminal without any argument.

The issue appears after some time, i don't know what triggers it.

The output on terminal is this:

(evolution:12238): Gdk-WARNING **: Error writing selection data: Error writing to file descriptor: Broken pipe

A new line like the one above is printed every time i select some text.

If i try to paste to gnome-terminal this error is printed to journal:

Jul 14 14:46:55 gollum gnome-terminal-[3846]: gdkselection-wayland.c:266: error reading selection buffer: Operation was cancelled

Daemon reexec of gpaste does not solve the problem.

Closing and reopening evolution solves the problem.

Let me know if you need more debug or tests.
Comment 3 Milan Crha 2017-07-17 07:11:56 EDT
Thanks for the update. I can reproduce it when gpaste (or better the gpaste-daemon) is running, otherwise not, thus I move this to gpaste for further investigation.
Comment 4 Pranav Kant 2017-07-28 23:38:10 EDT
I can reproduce the same behavior in fedora 25 as well. But not with evolution, it is with gnome-terminal rather. I cannot paste anything into gnome-terminal using Ctrl + Alt + V suddenly; it used to work and suddenly it stopped working. I don't even have GPaste running. On journal I can find lines like :

gnome-terminal-[6410]: gdkselection-wayland.c:266: error reading selection buffer: Operation was cancelled

which is probably related to this.

Interestingly, -sometimes- the paste finally happens, but after a huge delay (~2 minutes or so).

Since the error message I am facing is same as Lorenzo, I think it is the same bug, but let me know if I need to file a separate bug report.
Comment 5 Pranav Kant 2017-07-28 23:53:05 EDT
And another thing if it may help: If I copy from gnome-terminal using Ctrl + Alt + C and paste it in the gnome-terminal (whether in the same tab, another tab or another terminal window), it works (without any delay). It's just that when I copy from some other application that it doesn't work.
Comment 6 Lorenzo Dalrio 2018-01-10 09:06:19 EST
Still present of F27.

Note You need to log in before you can comment on or make changes to this bug.